/*
	初期設定ファイルアクセスクラス	利用サンプル	Ver 1.00
	by ＳＨＩＮＴＡ
	注：各関数は動作確認済みですが、このファイルのみをコンパイルしても
	アプリケーションは作成できません。動作を確認したい場合は、既に動作
	しているアプリケーションに関数を組み込んで下さい。
*/

#include <add/IniFile.h>

void WriteIniFile()
{
	char		szPanName[] = "FuransuPan";
	int32		iPanLength = 60;
	TIniFile	xIniFile;
	
	if ( xIniFile.SetTo("/boot/home/IniTest.ini",B_WRITE_ONLY|B_CREATE_FILE|B_ERASE_FILE) != B_NO_ERROR )
		return;
	xIniFile.WriteComment("Made by TIniFileクラス利用サンプル");
	xIniFile.WriteComment("Org Source Made 1999/03/08");
	xIniFile.ChangeSection("Juusu");
	xIniFile.WriteComment("ジュースの説明");
	xIniFile.WriteValue("Name","Giriri");
	xIniFile.WriteValue("Kaju",(float)0.3);
	xIniFile.WriteValue("Kakaku",(int32)120);
	xIniFile.ChangeSection("Pan");
	xIniFile.WriteValue("Name",szPanName);
	xIniFile.WriteValue("Length",iPanLength);
}

void ReadIniFile()
{
	char		szComment[1001];	//1000バイトのコメントを読める
	char		szPanName[1001];
	char		szTmp[1001];
	int32		iPanLength;
	int32		iTmp;
	float		fTmp;
	TIniFile	xIniFile;
	
	if ( xIniFile.SetTo("/boot/home/IniTest.ini",B_READ_ONLY) != B_NO_ERROR )
		return;
	while ( xIniFile.ReadComment(szComment) ) { /* 何らかの処理 */ }
	xIniFile.ChangeSection("Juusu");
	xIniFile.ReadValue("Name",szTmp);
	xIniFile.ReadValue("Kaju",&fTmp);
	xIniFile.ReadValue("Kakaku",&iTmp);
	xIniFile.ChangeSection("Pan");
	xIniFile.ReadValue("Name",szPanName);
	xIniFile.ReadValue("Length",&iPanLength);
}

/*
WriteIniFile() を実行すると、IniTest.ini の内容は次のようになります。
------------------------------------------------------------

; Made by TIniFileクラス利用サンプル
; Org Source Made 1999/03/08

[ juusu ]
; ジュースの説明
Name = Giriri
Kaju = 0.30
Kakaku = 120

[ Pan ]
Name = FuransuPan
Length = 60
*/
